// palmdb.h
// Palm Pilot DB file structure definitions

#pragma pack (1)

typedef struct {
	char			Name[32];
	unsigned short	Attr;
	unsigned short	Version;
	unsigned int	CreationDate;
	unsigned int	ModificationDate;
	unsigned int	LastBackupDate;
	unsigned int	ModificationNumber;
	unsigned int	AppInfoArea;
	unsigned int	SortInfoArea;
	unsigned int	DatabaseType;
	unsigned int	CreatorID;
	unsigned int	UniqueIDSeed;
	unsigned int	NextRecordListID;
	unsigned short	NumberOfRecords;
} PDBHeader;

typedef struct {
	unsigned int	DataOffset;
	unsigned char	Attributes;
	unsigned char	UniqueIDMSB;
	unsigned short	UniqueID;
} PDBRecord;


typedef struct {
	char			name[32];
	unsigned char	data[8196];
	unsigned short	count;
	unsigned short	year;
	unsigned short	month;
	unsigned short	day;
	unsigned short	hour;
	unsigned short	minute;
	char			filler[6];
} ProReadData;
